var     c,b,d,e,n,j : integer;
        o,q:text;
        k,i,count:longint;
        a:array[1..200000,1..2] of integer;

begin
assign(o,'broscute.in');
reset(o);
readln(o,n,k);
for i:=1 to k do
readln(o,a[i,1],a[i,2]);
assign(q,'broscute.out');
rewrite(q);
writeln(q,k+1);
close(o);
close(q);
end.